=== debian/changelog ===
indi-mi (1.8-1) unstable; urgency=medium

  * initial version

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 09 Jan 2022 09:27:41 +0000
