=== debian/control ===
Source: indi-mi
Section: contrib/science
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, cmake
	, libusb-1.0-0-dev
	, libindi-dev
	, zlib1g-dev
	, libcfitsio-dev
	, libgxccd
Standards-Version: 4.6.0
Homepage: https://github.com/indilib/indi-3rdparty
Rules-Requires-Root: no
XS-Autobuild: yes

Package: indi-mi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: INDI driver for cameras made by Moravian Instruments
 This package contains an INDI driver to support cameras
 made by Moravian Instruments.
 .
 This driver is compatible with any INDI client such as KStars or Xephem.
